cURL
curl --request GET \ --url https://cloud.onyx.app/api/user/projects/{project_id}/details \ --header 'Authorization: Bearer <token>'
{ "project": { "id": 123, "name": "<string>", "description": "<string>", "created_at": "2023-11-07T05:31:56Z", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "chat_sessions": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "time_created": "<string>", "time_updated": "<string>", "shared_status": "public", "persona_id": 123, "current_alternate_model": "<string>", "current_temperature_override": 123 } ], "instructions": "<string>" }, "files": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "file_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "status": "PROCESSING", "last_accessed_at": "2023-11-07T05:31:56Z", "file_type": "<string>", "chat_file_type": "image", "token_count": 123, "chunk_count": 123, "temp_id": "<string>", "project_id": 123 } ], "persona_id_to_is_default": {} }
Documentation IndexFetch the complete documentation index at: https://danswer-mintlify-deep-research-1773355783.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://danswer-mintlify-deep-research-1773355783.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header with Bearer token
Successful Response
Show child attributes
Was this page helpful?